[sloved] Can not install 3.16.2 on a 32bit Machine

Post your Gambas programming questions here.
Post Reply
AndyGable
Posts: 137
Joined: Wednesday 02nd December 2020 12:11am
Location: England
Contact:

[sloved] Can not install 3.16.2 on a 32bit Machine

Post by AndyGable » Saturday 28th August 2021 12:55am

Hi Everyone,

I hope everyone is well

I have a issue that I would like to talk to you all about i have a few 32 bit machines with Debian 10 installed on and one with Debian 11 installed

I have install Gambas3 from the Repo and I wanted to install version 3.16.2 on to the 32bit machines but when it is done with the make and install I get a segment fault when I try to run Gambas, but on my 64bit machine 3.16.2 runs most of the time (though I do get a error once i a while about being out of workflow but if I click ignore Gambas carry's on with what it was doing)

So Does anyone know if there is a issue with installing Gambas 3.16.2 on to a 32 bit machine or is it aimed only at 64 bit machines or should i fully remove the 3.16.2 and stick to the Gambas that is in the Repo's?
Last edited by AndyGable on Tuesday 31st August 2021 11:20pm, edited 1 time in total.

User avatar
BruceSteers
Posts: 654
Joined: Thursday 23rd July 2020 5:20pm

Re: Can not install 3.16.2 on a 32bit Machine

Post by BruceSteers » Saturday 28th August 2021 2:37pm

I do not know of any issues.

You could try the autotools method instead of the launchpad archives
My upgrade script/apps should do the trick if you're unsure.

http://gambaswiki.org/wiki/installtools

Or do it manually if you know how.
Wishing well
Bruce

If at first you don't succeed , try it differently.

AndyGable
Posts: 137
Joined: Wednesday 02nd December 2020 12:11am
Location: England
Contact:

Re: Can not install 3.16.2 on a 32bit Machine

Post by AndyGable » Saturday 28th August 2021 7:59pm

BruceSteers wrote:
Saturday 28th August 2021 2:37pm
I do not know of any issues.

You could try the autotools method instead of the launchpad archives
My upgrade script/apps should do the trick if you're unsure.

http://gambaswiki.org/wiki/installtools

Or do it manually if you know how.
Thanks Bruce I shall give that a go.

AndyGable
Posts: 137
Joined: Wednesday 02nd December 2020 12:11am
Location: England
Contact:

Re: Can not install 3.16.2 on a 32bit Machine

Post by AndyGable » Tuesday 31st August 2021 11:20pm

Hi All,

I tried your scripit bruce but I did not have much luck with it (I am not sure if I was doing it right) so I have stuck with the 3.15.2 version that is in the debain repo

thanks for the advice anyway everyone I may update once I know 3.16.2 is in the Repo

User avatar
BruceSteers
Posts: 654
Joined: Thursday 23rd July 2020 5:20pm

Re: Can not install 3.16.2 on a 32bit Machine

Post by BruceSteers » Wednesday 01st September 2021 6:51am

AndyGable wrote:
Tuesday 31st August 2021 11:20pm
Hi All,

I tried your scripit bruce but I did not have much luck with it (I am not sure if I was doing it right) so I have stuck with the 3.15.2 version that is in the debain repo

thanks for the advice anyway everyone I may update once I know 3.16.2 is in the Repo
Did you try the gambas apps ?
If you have gambas installed they should work (tested on debian 10 gambas3.12

https://gitlab.com/bsteers4/gambassimpleupgrade
(This one downloads the gitlab gambas zip archive and unpacks it to home folder and installs it from there)

https://gitlab.com/bsteers4/gambaslatestupdate
(This one works best if you have already cloned the gambas git repo to your drive)
Wishing well
Bruce

If at first you don't succeed , try it differently.

Post Reply